summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorMichał Górny <mgorny@gentoo.org>2010-07-06 23:45:02 +0000
committerMichał Górny <mgorny@gentoo.org>2010-07-06 23:45:02 +0000
commitb8dd4787220361282832d9d5a7ff6a89d0a5fddd (patch)
treea4d64d89ef0a9cdbd60193857762ff156b3b3f4a
parentnet-wireless/ircp-tray: Version bump with basically rewritten ebuild -- the a... (diff)
downloadsunrise-b8dd4787220361282832d9d5a7ff6a89d0a5fddd.tar.gz
sunrise-b8dd4787220361282832d9d5a7ff6a89d0a5fddd.tar.bz2
sunrise-b8dd4787220361282832d9d5a7ff6a89d0a5fddd.zip
net-misc/apt-cacher-ng: Version bump with overall cleanup.
svn path=/sunrise/; revision=10941
-rw-r--r--net-misc/apt-cacher-ng/ChangeLog9
-rw-r--r--net-misc/apt-cacher-ng/Manifest10
-rw-r--r--net-misc/apt-cacher-ng/apt-cacher-ng-0.4.1.ebuild106
-rw-r--r--net-misc/apt-cacher-ng/apt-cacher-ng-0.4.9.ebuild106
-rw-r--r--net-misc/apt-cacher-ng/files/apt-cacher-ng-0.3.8-respect-portage-qa-build-unstripped.patch36
-rw-r--r--net-misc/apt-cacher-ng/metadata.xml3
6 files changed, 120 insertions, 150 deletions
diff --git a/net-misc/apt-cacher-ng/ChangeLog b/net-misc/apt-cacher-ng/ChangeLog
index 69a7c8915..ea7169174 100644
--- a/net-misc/apt-cacher-ng/ChangeLog
+++ b/net-misc/apt-cacher-ng/ChangeLog
@@ -1,7 +1,14 @@
# ChangeLog for net-misc/apt-cacher-ng
-# Copyright 1999-2009 Gentoo Foundation; Distributed under the GPL v2
+# Copyright 1999-2010 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*apt-cacher-ng-0.4.9 (06 Jul 2010)
+
+ 06 Jul 2010; Michał Górny (sedzimir) <mgorny.3ehbo@mailnull.com>
+ -files/apt-cacher-ng-0.3.8-respect-portage-qa-build-unstripped.patch,
+ -apt-cacher-ng-0.4.1.ebuild, +apt-cacher-ng-0.4.9.ebuild, metadata.xml:
+ Version bump with overall cleanup.
+
*apt-cacher-ng-0.4.1 (30 May 2009)
30 May 2009; Sergey Dryabzhinsky <sergey.dryabzhinsky@gmail.com>
+apt-cacher-ng-0.4.1.ebuild
diff --git a/net-misc/apt-cacher-ng/Manifest b/net-misc/apt-cacher-ng/Manifest
index 07408f135..549fd8ba2 100644
--- a/net-misc/apt-cacher-ng/Manifest
+++ b/net-misc/apt-cacher-ng/Manifest
@@ -1,10 +1,8 @@
-AUX apt-cacher-ng-0.3.8-respect-portage-qa-build-unstripped.patch 1238 RMD160 fd6976f7643791b69b0e0efc731a055dc7dfebf7 SHA1 2febf9c4e02d40e60e75b9d6a6f624437718866c SHA256 5545297001efeb24a348099c13fbd6766b255e9ee8649897d18156d77e64a0b1
AUX confd 90 RMD160 d29e3c43d1b7856a5ac6a2e47249955b4aa0e467 SHA1 e60450e1261082df039aad6fe8367e22ee1846c6 SHA256 cabcc9da711514913e5136c82842c750bab8a9658aeeb88da5a266e0d69b29a1
AUX cron.daily 459 RMD160 774e42915dc408831f088b87f8f5de9b15423e44 SHA1 09bae26f2752cb12d4f7fa9eff492b3bb24a360e SHA256 6ec7ceeead17ef5a84d5ec5472d38810d9e1478213643da5f3fd9863dde40094
AUX initd 785 RMD160 56dd07e923ef664e8fd192d6a153f2b922ee4835 SHA1 eef235be0317bb95a03fdf22136c793847139ef9 SHA256 0fe59cd17b7a4b7afc68e27f776c7c1b2b83b6bf3c461725eca7a732538f893b
AUX logrotate 377 RMD160 ef3824ff3484b00195fad7153332ce33f702d937 SHA1 d5606fceb5f3296aff7a7111ffadb440761286f2 SHA256 6f1624d655383452a6d56d69327d41b80379cc667ad2d481ca94f8ea78f7a65b
-DIST apt-cacher-ng_0.4-1.diff.gz 12735 RMD160 fd58af79cf02d7a5a9846935d648005b12821f22 SHA1 88f81edc11d3b541416757c8342447c7b6c57d30 SHA256 7e21d796a77e2287bf484956027e15dccddb8ea72bddecbed5ac4667df564793
-DIST apt-cacher-ng_0.4.orig.tar.gz 215656 RMD160 63733cfb19cb2cf7ff9ded0d52046776ed0a9273 SHA1 1fe5acf234a29e9de2f273270367fb893fb17983 SHA256 b32e1a7c55c8c183d5ab090457af9b0c985c731c85ca1aeeb5ea79ba498a163d
-EBUILD apt-cacher-ng-0.4.1.ebuild 3282 RMD160 68b8b8c403352401c7c97292748894a28412b6b5 SHA1 0348d5877b25ba964a9e35cb2efeba183938d96c SHA256 4aef0f51908bc775b79c84a24cdd877bc7b55bb4d97a4389ced07d5bbf961a23
-MISC ChangeLog 1733 RMD160 5686bbf9a01f26af803dd12b972d5c6f41ccf6f0 SHA1 f7787ccd3fc49cd1ee9de7f5c3b6d2dbc679ec7c SHA256 11ee6d1cc33083f2da16a5d79b768cadf76e8509094148d6fc764d800830371a
-MISC metadata.xml 450 RMD160 3cab52f2502446c995259ea16cedc592a6210d0c SHA1 6bd27491af90fd74d1293cf2575874846aa0286b SHA256 38107f2fc23621a1c0d22237914e59cba8c7a43430c889d26dc8dd6cb9549f00
+DIST apt-cacher-ng_0.4.9.orig.tar.gz 228486 RMD160 293b7e0153621bb9180ea5a8aa1cdf90679d85a8 SHA1 f736e77c063e09ac1b1c5cf85a6553e51542dbca SHA256 da132ad39bee693bb0a1ec54d04a25b50d0b9621e7a3a26cf23cc952e2ea5e25
+EBUILD apt-cacher-ng-0.4.9.ebuild 2490 RMD160 c333826f6ad32ce56be7b0317e59c0ddec6f6983 SHA1 aa6df33de8aaf23351347d0857ad2299d53628a0 SHA256 6ca27bf3744f60a3dff0941314eb04a26e08d5dda43bb220d9f9018012530a48
+MISC ChangeLog 2022 RMD160 eefa5981bf80f38f08b8027ee0873dad825e5bb5 SHA1 7fb2b1e02e6cfd3e838c6d018c587f515f5618df SHA256 d989b5ede57d5654419e3d237d06dd18aa00d269e7ec9493686c905c86499798
+MISC metadata.xml 529 RMD160 4401cf891e8806984f641d12bf1ba6bac18a2625 SHA1 844f5a50cba6a65322349fb04b4b676c03c1b854 SHA256 fac9efaa0bbaade8299ec83aedd17a5aec49f6153ffe3f77c6e6027debbbec10
diff --git a/net-misc/apt-cacher-ng/apt-cacher-ng-0.4.1.ebuild b/net-misc/apt-cacher-ng/apt-cacher-ng-0.4.1.ebuild
deleted file mode 100644
index 3520869df..000000000
--- a/net-misc/apt-cacher-ng/apt-cacher-ng-0.4.1.ebuild
+++ /dev/null
@@ -1,106 +0,0 @@
-# Copyright 1999-2010 Gentoo Foundation
-# Distributed under the terms of the GNU General Public License v2
-# $Header: $
-
-inherit eutils
-
-MY_PV=${PV%.*}
-MY_DPV=${PV#*.*.}
-
-DESCRIPTION="Yet another implementation of a HTTP proxy for Debian/Ubuntu software packages written in C++"
-HOMEPAGE="http://www.unix-ag.uni-kl.de/~bloch/acng/"
-SRC_URI="mirror://debian/pool/main/a/${PN}/${PN}_${MY_PV}.orig.tar.gz
- mirror://debian/pool/main/a/${PN}/${PN}_${MY_PV}-${MY_DPV}.diff.gz"
-
-LICENSE="as-is"
-SLOT="0"
-KEYWORDS="~x86"
-IUSE="doc fuse"
-
-DEPEND="app-arch/bzip2
- sys-libs/zlib"
-RDEPEND="${DEPEND}
- dev-lang/perl
- fuse? ( sys-fs/fuse )"
-
-S=${WORKDIR}/${PN}-${MY_PV}
-
-pkg_setup() {
- # add new user & group for daemon
- enewgroup ${PN}
- enewuser ${PN} -1 -1 -1 ${PN}
-}
-
-src_unpack() {
- unpack ${A}
- epatch "${WORKDIR}/${PN}_${MY_PV}-${MY_DPV}.diff" # Debian patchset number 1.2.3.x
- cd "${S}" && epatch "${FILESDIR}/${PN}-0.3.8-respect-portage-qa-build-unstripped.patch" # Respect portage
-}
-
-src_compile() {
- local build="acng"
- use fuse && build="${build} acngfs"
- # -j1 fix race noted in bug #265840 comment #5
- emake -j1 CURDIR="${S}" ${build} || die "make '${build}' failed!"
-}
-
-src_install() {
- # There is no any install target :(
- # So we do all stuff here
-
- dosbin apt-cacher-ng || die "Can't install apt-cacher-ng"
- if use fuse; then dobin acngfs || die "Can't install acngfs"; fi
-
- newinitd "${FILESDIR}"/initd ${PN} || die "Can't add new init.d ${PN}"
- newconfd "${FILESDIR}"/confd ${PN} || die "Can't add new conf.d ${PN}"
-
- # for logrotate
- insinto /etc/logrotate.d
- newins "${FILESDIR}"/logrotate ${PN} || die "Can't install new file ${PN} into '/etc/logrotate.d'"
-
- doman doc/man/${PN}* || die "Can't install mans"
- if use fuse; then doman doc/man/acngfs* || die "Can't install man pages for fusefs"; fi
-
- # Documentation
- dodoc README TODO VERSION INSTALL ChangeLog || die "Can't install common docs"
- if use doc; then
- dodoc doc/*.pdf || die "Can't install docs"
- dohtml doc/html/* || die "Can't install html docs"
- docinto examples/conf
- dodoc conf/* || die "Can't install config examples"
- fi
-
- # perl daily cron script
- dosbin expire-caller.pl || die "Can't install cache cleaner perl script"
- exeinto /etc/cron.daily
- newexe "${FILESDIR}"/cron.daily ${PN} || die "Can't install new daily cron script"
-
- # default configuration
- insinto /etc/${PN}
- newins conf/acng.conf ${PN}.conf || die "Can't install ${PN} configuration file"
- newins conf/report.html acng-report.html || die "Can't install ${PN} report page"
-
- # Some directories must exists
- keepdir /var/log/${PN}
- keepdir /var/run/${PN}
- fowners ${PN}:${PN} \
- /etc/${PN} \
- /etc/${PN}/${PN}.conf \
- /etc/${PN}/acng-report.html \
- /var/log/${PN} \
- /var/run/${PN} || die "Can't change owners"
-}
-
-pkg_postinst() {
- elog "Do not forget about edit configuration file and read manuals!"
- elog " Default file : /etc/${PN}/${PN}.conf"
- elog " Manual page : man 8 apt-cache-ng"
- elog " Documentation: /usr/share/doc/${PF}"
- if use fuse; then
- elog "You have choose to build fuse httpfs named 'acngfs'."
- elog "It's can be used to mount apt cache on server to client"
- elog "filesystem."
- elog " Manual page : man 8 acngfs"
- fi
- elog "Please note: this ebuild installs /etc/cron.daily/${PN} cron job."
-}
diff --git a/net-misc/apt-cacher-ng/apt-cacher-ng-0.4.9.ebuild b/net-misc/apt-cacher-ng/apt-cacher-ng-0.4.9.ebuild
new file mode 100644
index 000000000..b3d400274
--- /dev/null
+++ b/net-misc/apt-cacher-ng/apt-cacher-ng-0.4.9.ebuild
@@ -0,0 +1,106 @@
+# Copyright 1999-2010 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: $
+
+inherit eutils toolchain-funcs
+
+PATCHSET_V=1
+DESCRIPTION="Yet another implementation of a HTTP proxy for Debian/Ubuntu software packages written in C++"
+HOMEPAGE="http://www.unix-ag.uni-kl.de/~bloch/acng/"
+SRC_URI="mirror://debian/pool/main/a/${PN}/${PN}_${PV}.orig.tar.gz"
+
+LICENSE="as-is"
+SLOT="0"
+KEYWORDS="~x86"
+IUSE="doc examples fuse logrotate"
+
+DEPEND="app-arch/bzip2
+ sys-libs/zlib"
+RDEPEND="${DEPEND}
+ dev-lang/perl
+ fuse? ( sys-fs/fuse )"
+
+pkg_setup() {
+ # Add a new user & group for the daemon.
+ enewgroup ${PN}
+ enewuser ${PN} -1 -1 -1 ${PN}
+}
+
+src_prepare() {
+ # Respect our LDFLAGS for all targets.
+ sed -i \
+ -e 's:\($(CXX)\)\(.*\)-Wl,--as-needed:\1 $(LDFLAGS)\2:' \
+ Makefile || die
+}
+
+src_compile() {
+ tc-export CXX
+ local build=
+ use fuse && build=acngfs
+ emake CURDIR="${S}" acng ${build} || die
+}
+
+src_install() {
+ dosbin ${PN} || die
+ doman doc/man/${PN}.8 || die
+ if use fuse; then
+ dobin acngfs || die
+ doman doc/man/acngfs.8 || die
+ fi
+
+ newinitd "${FILESDIR}"/initd ${PN} || die
+ newconfd "${FILESDIR}"/confd ${PN} || die
+
+ # for logrotate
+ if use logrotate; then
+ insinto /etc/logrotate.d
+ newins "${FILESDIR}"/logrotate ${PN} || die
+ fi
+
+ # Documentation
+ dodoc ChangeLog README TODO || die
+ if use doc; then
+ dodoc doc/*.pdf || die
+ dohtml doc/html/* || die
+ fi
+
+ if use examples; then
+ docinto example
+ dodoc conf/* || die
+ fi
+
+ # perl daily cron script
+ dosbin expire-caller.pl || die
+ exeinto /etc/cron.daily
+ newexe "${FILESDIR}"/cron.daily ${PN} || die
+
+ # default configuration
+ insinto /etc/${PN}
+ newins conf/acng.conf ${PN}.conf || die
+ newins conf/report.html acng-report.html || die
+
+ # Some directories must exist
+ keepdir /var/log/${PN}
+ keepdir /var/run/${PN}
+
+ fowners ${PN}:${PN} \
+ /etc/${PN} \
+ /etc/${PN}/${PN}.conf \
+ /etc/${PN}/acng-report.html \
+ /var/log/${PN} \
+ /var/run/${PN} || die
+}
+
+pkg_postinst() {
+ elog "Do not forget about edit configuration file and read manuals!"
+ elog " Default file : /etc/${PN}/${PN}.conf"
+ elog " Manual page : man 8 apt-cache-ng"
+ elog " Documentation: /usr/share/doc/${PF}"
+ if use fuse; then
+ elog "You have choose to build fuse httpfs named 'acngfs'."
+ elog "It's can be used to mount apt cache on server to client"
+ elog "filesystem."
+ elog " Manual page : man 8 acngfs"
+ fi
+ elog "Please note: this ebuild installs /etc/cron.daily/${PN} cron job."
+}
diff --git a/net-misc/apt-cacher-ng/files/apt-cacher-ng-0.3.8-respect-portage-qa-build-unstripped.patch b/net-misc/apt-cacher-ng/files/apt-cacher-ng-0.3.8-respect-portage-qa-build-unstripped.patch
deleted file mode 100644
index 2502fd92b..000000000
--- a/net-misc/apt-cacher-ng/files/apt-cacher-ng-0.3.8-respect-portage-qa-build-unstripped.patch
+++ /dev/null
@@ -1,36 +0,0 @@
-diff -urNd apt-cacher-ng-0.3.8.orig/Makefile apt-cacher-ng-0.3.8/Makefile
---- apt-cacher-ng-0.3.8.orig/Makefile 2009-04-11 13:25:45.000000000 +0400
-+++ apt-cacher-ng-0.3.8/Makefile 2009-04-11 13:27:53.000000000 +0400
-@@ -47,12 +47,12 @@
- # small build, even replacing libstdc++ with supc++ and gcc linking
- in.acng: $(OBJSIN)
- $(CC) -o $@ $(OBJSIN) -lsupc++ -Wl,--as-needed
-- strip $@
-+# strip $@
-
- apt-cacher-ng: $(OBJS)
- $(CXX) -o $@ $(OBJS) -lpthread $(LDFLAGS) -lz -lbz2
- @-test -d ../unstripped && cp $@ ../unstripped/$@.$$(dpkg-parsechangelog |grep ^Version: | cut -f2 -d' ') || true
-- strip $@
-+# strip $@
-
- else
-
-@@ -60,7 +60,7 @@
-
- in.acng: $(OBJSIN) $(OBJS)
- $(CXX) -o $@ acbuf.o client.o acfg.o filereader.o meta.o md5.o sha1.o aclogger.o -lz -lbz2 -Wl,--as-needed
-- strip $@
-+# strip $@
-
- apt-cacher-ng: $(OBJS)
- $(CXX) -o $@ $(OBJS) -lpthread $(LDFLAGS) -lz -lbz2
-@@ -69,7 +69,7 @@
- acngfs: $(OBJSFS)
- $(CXX) -o acngfs $(OBJSFS) -Wl,--as-needed `pkg-config fuse --libs`
- @-test -d ../unstripped && cp $@ ../unstripped/$@.$$(dpkg-parsechangelog |grep ^Version: | cut -f2 -d' ') || true
-- strip $@
-+# strip $@
-
- doc: doc/src/README.but doc/src/manpage.but doc/src/acngfs.but
- mkdir -p doc/.build doc/html doc/man
diff --git a/net-misc/apt-cacher-ng/metadata.xml b/net-misc/apt-cacher-ng/metadata.xml
index 281b8c1e3..80ff40517 100644
--- a/net-misc/apt-cacher-ng/metadata.xml
+++ b/net-misc/apt-cacher-ng/metadata.xml
@@ -4,7 +4,8 @@
<herd>no-herd</herd>
<maintainer><email>maintainer-wanted@gentoo.org</email></maintainer>
<use>
- <flag name="fuse">Build fuse httpfs named 'acngfs'. It's can be used to mount apt cache on server to client filesystem.</flag>
<flag name="doc">Installs some documentation and config examples.</flag>
+ <flag name="fuse">Build fuse httpfs named 'acngfs'. It's can be used to mount apt cache on server to client filesystem.</flag>
+ <flag name="logrotate">Install support files for app-admin/logrotate.</flag>
</use>
</pkgmetadata>